---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: backend
  namespace: notes
spec:
  template:
    spec:
      containers:
      - name: main
        image: cr.yandex/crp3ccidau046kdj8g9q/notes-backend:0.3.6
        env:
        - name: DJANGO_HOST
          value: http://backend.django.svc.cluster.local:8000
        - name: BASE_HOST
          value: https://sarex.dsinv.ru/notes
        - name: TIMEOUT
          value: '120'
        - name: FAAS_SERVICE
          value: https://sarex.dsinv.ru/lambdas
        - name: WORKSPACE_URL
          value: https://sarex.dsinv.ru/workspaces/api/v1
        - name: WORKFLOW_HOST
          value: https://sarex.dsinv.ru/workflows/api/v1
        - name: WORKFLOW_TAG
          value: stable
        - name: RESOURCE_URL
          value: https://sarex.dsinv.ru/resources/api/v1
        - name: SYNC_RESOURCE_ID
          value: '0'
        - name: ATTACHMENT_HOST
          value: http://attachments-service.attachments.svc.cluster.local:80/api/v1
        - name: PG_HOST
          value: postgres-service.notes.svc.cluster.local
